# Method: accounts.dataSources.list

- [HTTP request](https://developers.google.com/merchant/api/reference/rest/datasources_v1/accounts.dataSources/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/merchant/api/reference/rest/datasources_v1/accounts.dataSources/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/merchant/api/reference/rest/datasources_v1/accounts.dataSources/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/merchant/api/reference/rest/datasources_v1/accounts.dataSources/list#body.request_body)
- [Response body](https://developers.google.com/merchant/api/reference/rest/datasources_v1/accounts.dataSources/list#body.response_body)
  - [JSON representation](https://developers.google.com/merchant/api/reference/rest/datasources_v1/accounts.dataSources/list#body.ListDataSourcesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/merchant/api/reference/rest/datasources_v1/accounts.dataSources/list#body.aspect)
- [Try it!](https://developers.google.com/merchant/api/reference/rest/datasources_v1/accounts.dataSources/list#try-it)

Lists the configurations for data sources for the given account.

### HTTP request

`GET https://merchantapi.googleapis.com/datasources/v1/{parent=accounts/*}/dataSources`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The account to list data sources for. Format: `accounts/{account}` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of data sources to return. The service may return fewer than this value. The maximum value is 1000; values above 1000 will be coerced to 1000. If unspecified, the maximum number of data sources will be returned. |
| `pageToken` | `string` Optional. A page token, received from a previous `dataSources.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `dataSources.list` must match the call that provided the page token. |

### Request body

The request body must be empty.

### Response body

Response message for the dataSources.list method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "dataSources": [ { object (`https://developers.google.com/merchant/api/reference/rest/datasources_v1/accounts.dataSources#DataSource`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `dataSources[]` | ``object (`https://developers.google.com/merchant/api/reference/rest/datasources_v1/accounts.dataSources#DataSource`)`` The data sources from the specified account. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).